diff --git a/drupal7/sites/all/modules/views_bulk_operations/views_bulk_operations.module b/drupal7/sites/all/modules/views_bulk_operations/views_bulk_operations.module
index e74eeb1d..9b17c444 100644
--- a/drupal7/sites/all/modules/views_bulk_operations/views_bulk_operations.module
+++ b/drupal7/sites/all/modules/views_bulk_operations/views_bulk_operations.module
@@ -45,6 +45,7 @@ function views_bulk_operations_load_action_includes() {
     'archive.action',
     'argument_selector.action',
     'book.action',
+    'change_owner.action',
     'delete.action',
     'modify.action',
     'script.action',
@@ -75,7 +76,7 @@ function views_bulk_operations_load_action_includes() {
  */
 function views_bulk_operations_cron() {
   db_delete('queue')
-    ->condition('name', db_like('views_bulk_operations_active_queue_'), 'LIKE')
+    ->condition('name', db_like('views_bulk_operations_active_queue_') . '%', 'LIKE')
     ->condition('created', REQUEST_TIME - 86400, '<')
     ->execute();
 }
@@ -214,7 +215,12 @@ function views_bulk_operations_get_operation_info($operation_id = NULL) {
 function views_bulk_operations_get_operation($operation_id, $entity_type, $options) {
   $operations = &drupal_static(__FUNCTION__);
 
-  if (!isset($operations[$operation_id])) {
+  // Create a unique hash of the options.
+  $cid = md5(serialize($options));
+
+  // See if there's a cached copy of the operation, including entity type and
+  // options.
+  if (!isset($operations[$operation_id][$entity_type][$cid])) {
     // Intentionally not using views_bulk_operations_get_operation_info() here
     // since it's an expensive function that loads all the operations on the
     // system, despite the fact that we might only need a few.
@@ -223,14 +229,14 @@ function views_bulk_operations_get_operation($operation_id, $entity_type, $optio
     $operation_info = $plugin['list callback']($operation_id);
 
     if ($operation_info) {
-      $operations[$operation_id] = new $plugin['handler']['class']($operation_id, $entity_type, $operation_info, $options);
+      $operations[$operation_id][$entity_type][$cid] = new $plugin['handler']['class']($operation_id, $entity_type, $operation_info, $options);
     }
     else {
-      $operations[$operation_id] = FALSE;
+      $operations[$operation_id][$entity_type][$cid] = FALSE;
     }
   }
 
-  return $operations[$operation_id];
+  return $operations[$operation_id][$entity_type][$cid];
 }
 
 /**
@@ -638,11 +644,11 @@ function theme_views_bulk_operations_confirmation($variables) {
   // All rows on all pages have been selected, so show a count of additional items.
   if ($select_all_pages) {
     $more_count = $vbo->view->total_rows - count($vbo->view->result);
-    $items[] = t('...and <strong>!count</strong> more.', array('!count' => $more_count));
+    $items[] = t('...and %count more.', array('%count' => $more_count));
   }
 
   $count = format_plural(count($entities), 'item', '@count items');
-  $output = theme('item_list', array('items' => $items, 'title' => t('You selected the following <strong>!count</strong>:', array('!count' => $count))));
+  $output = theme('item_list', array('items' => $items, 'title' => t('You selected the following %count:', array('%count' => $count))));
   return $output;
 }
 
@@ -902,10 +908,16 @@ function views_bulk_operations_adjust_selection($queue_name, $operation, $option
   }
 
   $vbo = _views_bulk_operations_get_field($view);
+
+  // Call views_handler_field_entity::pre_render() to get the entities.
+  $vbo->pre_render($view->result);
+
   $rows = array();
   foreach ($view->result as $row_index => $result) {
+    // Set the row index.
+    $view->row_index = $row_index;
     $rows[$row_index] = array(
-      'entity_id' => $vbo->get_value($result),
+      'entity_id' => $vbo->get_value($result, $vbo->real_field),
       'views_row' => array(),
       'position' => array(
         'current' => ++$context['sandbox']['progress'],
@@ -1075,7 +1087,8 @@ function views_bulk_operations_queue_item_process($queue_item_data, &$log = NULL
     }
 
     // If the current entity can't be accessed, skip it and log a notice.
-    if (!_views_bulk_operations_entity_access($operation, $entity_type, $entity, $account)) {
+    $skip_permission_check = $operation->getAdminOption('skip_permission_check');
+    if (!$skip_permission_check && !_views_bulk_operations_entity_access($operation, $entity_type, $entity, $account)) {
       $message = 'Skipped %operation on @type %title due to insufficient permissions.';
       $arguments = array(
         '%operation' => $operation->label(),
@@ -1127,12 +1140,22 @@ function views_bulk_operations_direct_adjust(&$selection, $vbo) {
     if ($field_name != $vbo->options['id']) {
       unset($view->field[$field_name]);
     }
+    else {
+      // Get hold of the new VBO field.
+      $new_vbo = $view->field[$field_name];
+    }
   }
 
   $view->execute($vbo->view->current_display);
+
+  // Call views_handler_field_entity::pre_render() to get the entities.
+  $new_vbo->pre_render($view->result);
+
   $results = array();
   foreach ($view->result as $row_index => $result) {
-    $results[$row_index] = $vbo->get_value($result);
+    // Set the row index.
+    $view->row_index = $row_index;
+    $results[$row_index] = $new_vbo->get_value($result, $new_vbo->real_field);
   }
   $selection = $results;
 }
@@ -1160,9 +1183,10 @@ function views_bulk_operations_direct_process($operation, $rows, $options) {
     }
     $entities = _views_bulk_operations_entity_load($entity_type, $entity_ids, $options['revision']);
 
+    $skip_permission_check = $operation->getAdminOption('skip_permission_check');
     // Filter out entities that can't be accessed.
     foreach ($entities as $id => $entity) {
-      if (!_views_bulk_operations_entity_access($operation, $entity_type, $entity)) {
+      if (!$skip_permission_check && !_views_bulk_operations_entity_access($operation, $entity_type, $entity, $account)) {
         $context['results']['log'][] = t('Skipped %operation on @type %title due to insufficient permissions.', array(
           '%operation' => $operation->label(),
           '@type' => $entity_type,
diff --git a/drupal7/sites/all/modules/views_bulk_operations/views_bulk_operations.rules.inc b/drupal7/sites/all/modules/views_bulk_operations/views_bulk_operations.rules.inc
index b3a64184..1273552e 100644
--- a/drupal7/sites/all/modules/views_bulk_operations/views_bulk_operations.rules.inc
+++ b/drupal7/sites/all/modules/views_bulk_operations/views_bulk_operations.rules.inc
@@ -114,15 +114,25 @@ function views_bulk_operations_rules_action_info() {
 function views_bulk_operations_views_list() {
   $selectable_displays = array();
   foreach (views_get_enabled_views() as $name => $base_view) {
+    $view = $base_view->clone_view();
     foreach ($base_view->display as $display_name => $display) {
-      $view = $base_view->clone_view();
-      $view->build($display_name);
-      $vbo = _views_bulk_operations_get_field($view);
-      if ($vbo) {
-        $selectable_displays[$view->name . '|' . $display_name] = check_plain($view->human_name) . ' | ' . check_plain($display->display_title);
+      if (!$view->set_display($display_name)) {
+        continue;
+      }
+
+      // Initialize the style plugin and only continue to initialize handlers
+      // if the style uses fields.
+      if (!$view->init_style() || !$view->style_plugin->uses_fields()) {
+        continue;
+      }
+
+      $view->init_handlers($display_name);
+      if (_views_bulk_operations_get_field($view)) {
+        $selectable_displays[$view->name . '|' . $display_name] = check_plain($view->human_name . ' | ' . $display->display_title);
       }
     }
   }
+
   return $selectable_displays;
 }
 
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/js/views_slideshow_cycle.js b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/js/views_slideshow_cycle.js
index cbb83287..a87f21f0 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/js/views_slideshow_cycle.js
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/js/views_slideshow_cycle.js
@@ -1,4 +1,3 @@
-
 /**
  *  @file
  *  A simple jQuery Cycle Div Slideshow Rotator.
@@ -24,10 +23,21 @@
             settings.processedAfter = 1;
             slideNum = (typeof settings.opts.startingSlide == 'undefined') ? 0 : settings.opts.startingSlide;
           }
+          if (settings.pause_after_slideshow) {
+            opts.counter += 1;
+            if (opts.counter == settings.num_divs + 1) {
+              opts.counter = 1;
+              Drupal.viewsSlideshow.action({ "action": 'pause', "slideshowID": settings.slideshowId, "force": true });
+            }
+          }
           Drupal.viewsSlideshow.action({ "action": 'transitionEnd', "slideshowID": settings.slideshowId, "slideNum": slideNum });
         }
         // Pager before function.
         var pager_before_fn = function(curr, next, opts) {
+          $(document).trigger('drupal:views_slideshow_cycle:before', {
+            curr: curr, next: next, opts: opts, settings: settings
+          });
+
           var slideNum = opts.nextSlide;
 
           // Remember last slide.
@@ -60,6 +70,8 @@
           sync:settings.sync,
           random:settings.random,
           nowrap:settings.nowrap,
+          pause_after_slideshow:settings.pause_after_slideshow,
+          counter:0,
           after:pager_after_fn,
           before:pager_before_fn,
           cleartype:(settings.cleartype)? true : false,
@@ -120,7 +132,7 @@
             $('#views_slideshow_cycle_teaser_section_' + settings.vss_id).hover(mouseIn, mouseOut);
           }
         }
-        
+
         // Play on hover.
         if (settings.play_on_hover) {
           var mouseIn = function() {
@@ -379,6 +391,75 @@
     }
   };
 
+  /**
+   * Views Slideshow swipe support.
+   */
+  Drupal.behaviors.viewsSlideshowSwipe = {
+    attach: function (context) {
+      var isTouch = (('ontouchstart' in window) || (navigator.msMaxTouchPoints > 0));
+      if (isTouch === true && $('.views-slideshow-cycle-main-frame').length) {
+        var $slider = $('.views-slideshow-cycle-main-frame'),
+          opts = {
+            start: {x: 0, y: 0},
+            end: {x: 0, y: 0},
+            hdiff: 0,
+            vdiff: 0,
+            length: 0,
+            angle: null,
+            direction: null,
+          },
+          optsReset = $.extend(true, {}, opts),
+         H_THRESHOLD =  110, // roughly one inch effective resolution on ipad
+         V_THRESHOLD = 50;
+        $slider.data('bw', opts)
+        .bind('touchstart.cycle', function (e) {
+          var touch = e.originalEvent.touches[0] || e.originalEvent.changedTouches[0];
+          if (e.originalEvent.touches.length == 1) {
+            var data = $(this).data('bw');
+            data.start.x = touch.pageX;
+            data.start.y = touch.pageY;
+            $(this).data('bw', data);
+          }
+        })
+        .bind('touchend.cycle', function (e) {
+          var touch = e.originalEvent.touches[0] || e.originalEvent.changedTouches[0];
+          var data = $(this).data('bw');
+          data.end.x = touch.pageX;
+          data.end.y = touch.pageY;
+          $(this).data('bw', data);
+          if (data.start.x != 0 && data.start.y != 0) {
+            data.vdiff = data.start.x - data.end.x;
+            data.hdiff = data.end.y - data.start.y;
+            if (Math.abs(data.vdiff) == data.start.x && Math.abs(data.hdiff) == data.start.y) {
+              data.vdiff = 0;
+              data.hdiff = 0;
+            }
+            var length = Math.round(Math.sqrt(Math.pow(data.vdiff,2) + Math.pow(data.hdiff,2)));
+            var rads = Math.atan2(data.hdiff, data.vdiff);
+            var angle = Math.round(rads*180/Math.PI);
+            if (angle < 0) { angle = 360 - Math.abs(angle); }
+            if (length > H_THRESHOLD && V_THRESHOLD > data.hdiff) {
+              e.preventDefault();
+              if (angle > 135 && angle < 225) {
+                var cyopt = $slider.data('cycle.opts');
+                if (cyopt.currSlide > 0) {
+                  $slider.cycle((cyopt.currSlide - 1), 'scrollRight');
+                }
+                else {
+                   $slider.cycle((cyopt.slideCount - 1), 'scrollRight');
+                }
+              }
+              else if (angle > 315 || angle < 45) {
+                $slider.cycle('next');
+              }
+            }
+          }
+          data = $.extend(true, {}, optsReset);
+        });
+      }
+    }
+  };
+
   Drupal.viewsSlideshowCycle = Drupal.viewsSlideshowCycle || {};
 
   // Cleanup the values of advanced options.
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc
index 0609d294..1fbda6a2 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc
@@ -80,6 +80,22 @@ function template_preprocess_views_slideshow_cycle_main_frame(&$vars) {
       drupal_add_js($json_path . '/json2.js');
     }
 
+    // Add hover intent library.
+    if ($settings['pause']) {
+      $hoverIntent_path = libraries_get_path('jquery.hoverIntent');
+      if (!empty($hoverIntent_path) && file_exists($hoverIntent_path . '/jquery.hoverIntent.js')) {
+        drupal_add_js($hoverIntent_path . '/jquery.hoverIntent.js');
+      }
+    }
+
+    // Add jquery easing library.
+    if (strstr($settings['advanced_options'], '"eas')) {
+      $easing_path = libraries_get_path('jquery.easing');
+      if (!empty($easing_path) && file_exists($easing_path . '/jquery.easing.1.3.js')) {
+        drupal_add_js($easing_path . '/jquery.easing.1.3.js');
+      }
+    }
+
     // Load our cycle js.
     $module_path = drupal_get_path('module', 'views_slideshow_cycle');
     drupal_add_js($module_path . '/js/views_slideshow_cycle.js');
@@ -95,17 +111,6 @@ function template_preprocess_views_slideshow_cycle_main_frame(&$vars) {
 
   drupal_add_js(array('viewsSlideshowCycle' => array('#views_slideshow_cycle_main_' . $vss_id => $settings)), 'setting');
 
-  // Add hover intent library.
-  if ($settings['pause']) {
-    if (module_exists('libraries')) {
-      // Load jQuery hoverIntent.
-      $hoverIntent_path = libraries_get_path('jquery.hoverIntent');
-      if (!empty($hoverIntent_path) && file_exists($hoverIntent_path . '/jquery.hoverIntent.js')) {
-        drupal_add_js($hoverIntent_path . '/jquery.hoverIntent.js');
-      }
-    }
-  }
-
   // Add the slideshow elements.
   $vars['classes_array'][] = 'views_slideshow_cycle_teaser_section';
 
@@ -132,7 +137,6 @@ function template_preprocess_views_slideshow_cycle_main_frame(&$vars) {
 
   $vars['items_per_slide'] = $items_per_slide;
 
-  //drupal_set_message(var_export($vars['options']['widgets'],TRUE));
   $widgets = $vars['options']['widgets'];
   if (isset($options['top']['views_slideshow_pager']['enabled']) && $options['top']['views_slideshow_pager']['enabled']) {
     $aria = "aria-labelledby='views_slideshow_pager_field_item_top_${vss_id}_";
@@ -145,6 +149,7 @@ function template_preprocess_views_slideshow_cycle_main_frame(&$vars) {
   $items = array();
   $slideshow_count = 0;
   $rendered_rows = '';
+  $last_slide = ceil(count($rows) / $items_per_slide);
   foreach ($rows as $count => $item) {
     $items[] = $item;
     if (count($items) == $items_per_slide || $count == (count($rows) - 1)) {
@@ -154,6 +159,7 @@ function template_preprocess_views_slideshow_cycle_main_frame(&$vars) {
         'count' => $slideshow_count,
         'view' => $vars['view'],
         'aria' => $aria . $slideshow_count . "'",
+        'last_slide' => $last_slide,
       ));
       $items = array();
       $slideshow_count++;
@@ -175,6 +181,12 @@ function template_preprocess_views_slideshow_cycle_main_frame_row(&$vars) {
 
   if ($vars['count']) {
     $vars['classes_array'][] = 'views_slideshow_cycle_hidden';
+    if ($current == $vars['last_slide']) {
+      $vars['classes_array'][] = 'views-row-last';
+    }
+  }
+  else {
+    $vars['classes_array'][] = 'views-row-first';
   }
   $vars['classes_array'][] = ($vars['count'] % 2) ? 'views-row-even' : 'views-row-odd';
 
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.drush.inc b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.drush.inc
index 32bc9b30..c59c1aa0 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.drush.inc
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.drush.inc
@@ -46,6 +46,14 @@ function views_slideshow_cycle_drush_command() {
     ),
     'aliases' => array('dl-pause'),
   );
+  $items['views-slideshow-cycle-easing'] = array(
+    'description' => dt('Download and install the jQuery.easing library.'),
+    'bootstrap' => DRUSH_BOOTSTRAP_DRUSH,
+    'arguments' => array(
+      'path' => dt('Optional. The path to install the jQuery.easing library in. If omitted Drush will use the default location.'),
+    ),
+    'aliases' => array('dl-easing'),
+  );
   $items['views-slideshow-cycle-lib'] = array(
     'description' => dt('Download and install the jQuery Cycle, jQuery hoverIntent and JSON2 libraries.'),
     'bootstrap' => DRUSH_BOOTSTRAP_DRUSH,
@@ -68,6 +76,9 @@ function views_slideshow_cycle_drush_help($section) {
     case 'drush:views-slideshow-cycle-pause':
       return dt('Download and install the jQuery pause library from https://raw.githubusercontent.com/tobia/Pause/master/jquery.pause.js, default location is libraries/jquery.pause.');
 
+    case 'drush:views-slideshow-cycle-easing':
+      return dt('Download and install the jQuery pause library from http://gsgd.co.uk/sandbox/jquery/easing/jquery.easing.1.3.js, default location is libraries/jquery.easing.');
+
     case 'drush:views-slideshow-cycle-json2':
       return dt('Download and install the JSON2 library from https://github.com/douglascrockford/JSON-js/, default location is libraries/json2.');
 
@@ -128,6 +139,19 @@ function drush_views_slideshow_cycle_pause() {
   );
 }
 
+/**
+ * Command to download the jQuery.pause library.
+ */
+function drush_views_slideshow_cycle_easing() {
+  _drush_views_slideshow_cycle_install_library(
+    'jQuery easing',
+    'libraries/jquery.easing',
+    'jquery.easing.1.3.js',
+    'http://gsgd.co.uk/sandbox/jquery/easing/jquery.easing.1.3.js',
+    func_get_args()
+  );
+}
+
 /**
  * Command to download all libraries.
  */
@@ -136,6 +160,7 @@ function drush_views_slideshow_cycle_lib() {
   drush_views_slideshow_cycle_json2();
   drush_views_slideshow_cycle_hoverintent();
   drush_views_slideshow_cycle_pause();
+  drush_views_slideshow_cycle_easing();
 }
 
 /**
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.info b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.info
index 9951df9b..24fd6075 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.info
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.info
@@ -5,9 +5,9 @@ dependencies[] = libraries
 package = Views
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2017-01-19
-version = "7.x-3.5"
+; Information added by Drupal.org packaging script on 2017-02-16
+version = "7.x-3.6"
 core = "7.x"
 project = "views_slideshow"
-datestamp = "1484857386"
+datestamp = "1487211486"
 
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.views_slideshow.inc b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.views_slideshow.inc
index 0bdf1138..5deee6b6 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.views_slideshow.inc
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.views_slideshow.inc
@@ -61,6 +61,7 @@ function views_slideshow_cycle_views_slideshow_option_definition() {
       'pause_when_hidden_type' => array('default' => 'full'),
       'amount_allowed_visible' => array('default' => ''),
       'nowrap' => array('default' => 0),
+      'pause_after_slideshow' => array('default' => 0),
       'fixed_height' => array('default' => 1),
       'items_per_slide' => array('default' => 1),
       'wait_for_image_load' => array('default' => 1),
@@ -358,6 +359,17 @@ function views_slideshow_cycle_views_slideshow_slideshow_type_form(&$form, &$for
       ),
     ),
   );
+  $form['views_slideshow_cycle']['pause_after_slideshow'] = array(
+    '#type' => 'checkbox',
+    '#title' => t('Pause slideshow and return to first slide after running one slideshow'),
+    '#default_value' => $view->options['views_slideshow_cycle']['pause_after_slideshow'],
+    '#description' => t('If selected the slideshow will pause and return to first slide after completeing one slideshow. This option will not work if you are using it with End slideshow after last slide option'),
+    '#states' => array(
+      'visible' => array(
+        ':input[name="style_options[views_slideshow_cycle][action_advanced]"]' => array('checked' => TRUE),
+      ),
+    ),
+  );
   $form['views_slideshow_cycle']['fixed_height'] = array(
     '#type' => 'checkbox',
     '#title' => t('Make the slide window height fit the largest slide'),
@@ -446,7 +458,7 @@ function views_slideshow_cycle_views_slideshow_slideshow_type_form(&$form, &$for
   }
   else {
     $form['views_slideshow_cycle']['advanced_options_info'] = array(
-      '#markup' => '<p>' . t('You can find a list of all the available options at !url.  If one of the options you add uses a function, example fxFn, then you need to only enter what goes inside the function call. The variables that are in the !documentation on the jquery cycle site will be available to you.', array(
+      '#markup' => '<p>' . t('You can find a list of all the available options at !documentation.  If one of the options you add uses a function, example fxFn, then you need to only enter what goes inside the function call. The variables that are in the !documentation on the jquery cycle site will be available to you.', array(
         '!documentation' => l(t('documentation'), 'http://malsup.com/jquery/cycle/options.html'),
       )) . '</p>',
     );
diff --git a/drupal7/sites/all/modules/views_slideshow/js/views_slideshow.js b/drupal7/sites/all/modules/views_slideshow/js/views_slideshow.js
index edda4be1..3b39ea1a 100644
--- a/drupal7/sites/all/modules/views_slideshow/js/views_slideshow.js
+++ b/drupal7/sites/all/modules/views_slideshow/js/views_slideshow.js
@@ -63,7 +63,7 @@
    * Views Slideshow Text Controls
    */
 
-  // Add views slieshow api calls for views slideshow text controls.
+  // Add views slideshow api calls for views slideshow text controls.
   Drupal.behaviors.viewsSlideshowControlsText = {
     attach: function (context) {
 
@@ -148,6 +148,15 @@
     try {
       if (typeof Drupal.settings.viewsSlideshowPager != "undefined" && typeof Drupal.settings.viewsSlideshowPager[options.slideshowID].top.type != "undefined" && typeof Drupal[Drupal.settings.viewsSlideshowPager[options.slideshowID].top.type].transitionBegin == 'function') {
         Drupal[Drupal.settings.viewsSlideshowPager[options.slideshowID].top.type].transitionBegin(options);
+        if (Drupal.settings.viewsSlideshowPager[options.slideshowID].top.master_pager) {
+          $.each(Drupal.settings.viewsSlideshow, function(i, obj) {
+            if (i != options.slideshowID) {
+              options.slideshowID = i;
+              options.action = 'goToSlide';
+              Drupal[Drupal.settings.viewsSlideshowPager[options.slideshowID].top.type].goToSlide(options);
+            }
+          });
+        }
       }
     }
     catch(err) {
@@ -157,6 +166,15 @@
     try {
       if (typeof Drupal.settings.viewsSlideshowPager != "undefined" && typeof Drupal.settings.viewsSlideshowPager[options.slideshowID].bottom.type != "undefined" && typeof Drupal[Drupal.settings.viewsSlideshowPager[options.slideshowID].bottom.type].transitionBegin == 'function') {
         Drupal[Drupal.settings.viewsSlideshowPager[options.slideshowID].bottom.type].transitionBegin(options);
+        if (Drupal.settings.viewsSlideshowPager[options.slideshowID].bottom.master_pager) {
+          $.each(Drupal.settings.viewsSlideshow, function(i, obj) {
+            if (i != options.slideshowID) {
+              options.slideshowID = i;
+              options.action = 'goToSlide';
+              Drupal[Drupal.settings.viewsSlideshowPager[options.slideshowID].bottom.type].goToSlide(options);
+            }
+          });
+        }
       }
     }
     catch(err) {
@@ -247,7 +265,7 @@
    * Views Slideshow Pager Fields
    */
 
-  // Add views slieshow api calls for views slideshow pager fields.
+  // Add views slideshow api calls for views slideshow pager fields.
   Drupal.behaviors.viewsSlideshowPagerFields = {
     attach: function (context) {
       // Process pause on hover.
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc b/drupal7/sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc
index 58865738..91b036a1 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc
@@ -202,6 +202,7 @@ function theme_views_slideshow_pager_widget_render($vars) {
       $vars['vss_id'] => array(
         $vars['location'] => array(
           'type' => views_slideshow_format_addons_name($vars['settings']['type']),
+          'master_pager' => views_slideshow_format_addons_name($vars['settings']['master_pager']),
         ),
       ),
     ),
diff --git a/drupal7/sites/all/modules/views_slideshow/views_slideshow.info b/drupal7/sites/all/modules/views_slideshow/views_slideshow.info
index c3ee38dc..00387a95 100644
--- a/drupal7/sites/all/modules/views_slideshow/views_slideshow.info
+++ b/drupal7/sites/all/modules/views_slideshow/views_slideshow.info
@@ -6,9 +6,9 @@ core = 7.x
 
 files[] = views_slideshow_plugin_style_slideshow.inc
 
-; Information added by Drupal.org packaging script on 2017-01-19
-version = "7.x-3.5"
+; Information added by Drupal.org packaging script on 2017-02-16
+version = "7.x-3.6"
 core = "7.x"
 project = "views_slideshow"
-datestamp = "1484857386"
+datestamp = "1487211486"
 
diff --git a/drupal7/sites/all/modules/views_slideshow/views_slideshow.module b/drupal7/sites/all/modules/views_slideshow/views_slideshow.module
index 455579dc..fab0a019 100644
--- a/drupal7/sites/all/modules/views_slideshow/views_slideshow.module
+++ b/drupal7/sites/all/modules/views_slideshow/views_slideshow.module
@@ -249,6 +249,19 @@ function views_slideshow_pager_views_slideshow_widget_form_options(&$form, &$for
       '#markup' => '<div class="vs-dependent">',
     );
 
+    // Option for master_pager to control all slideshows in this location.
+    $form['master_pager'] = array(
+      '#type' => 'checkbox',
+      '#title' => t('Master Pager'),
+      '#default_value' => $defaults['master_pager'],
+      '#description' => t('Should this pager control all slideshows in this location.'),
+      '#states' => array(
+        'visible' => array(
+          ':input[name="' . $dependency . '[enable]"]' => array('checked' => TRUE),
+        ),
+      ),
+    );
+
     // Add field to see if they would like to hide pager if there is only one
     // slide.
     $form['hide_on_single_slide'] = array(
@@ -513,6 +526,7 @@ function views_slideshow_views_slideshow_option_definition() {
 
   // Defaults for the pager widget.
   foreach ($locations as $location) {
+    $options['widgets']['contains'][$location]['contains']['views_slideshow_pager']['contains']['master_pager'] = array('default' => 0);
     $options['widgets']['contains'][$location]['contains']['views_slideshow_pager']['contains']['hide_on_single_slide'] = array('default' => 0);
     $options['widgets']['contains'][$location]['contains']['views_slideshow_pager']['contains']['type'] = array('default' => 0);
     $options['widgets']['contains'][$location]['contains']['views_slideshow_pager']['contains']['views_slideshow_pager_numbered_hover'] = array('default' => 0);
diff --git a/drupal7/sites/all/themes/bootstrap/bootstrap.info b/drupal7/sites/all/themes/bootstrap/bootstrap.info
index 0a37f4c0..3cef674e 100644
--- a/drupal7/sites/all/themes/bootstrap/bootstrap.info
+++ b/drupal7/sites/all/themes/bootstrap/bootstrap.info
@@ -124,11 +124,11 @@ settings[bootstrap_tooltip_container] = 'body'
 ; Advanced
 ; --------------
 settings[bootstrap_cdn_provider] = 'jsdelivr'
-settings[bootstrap_cdn_custom_css] = 'https://cdn.jsdelivr.net/bootstrap/3.3.5/css/bootstrap.css'
-settings[bootstrap_cdn_custom_css_min] = 'https://cdn.jsdelivr.net/bootstrap/3.3.5/css/bootstrap.min.css'
-settings[bootstrap_cdn_custom_js] = 'https://cdn.jsdelivr.net/bootstrap/3.3.5/js/bootstrap.js'
-settings[bootstrap_cdn_custom_js_min] = 'https://cdn.jsdelivr.net/bootstrap/3.3.5/js/bootstrap.min.js'
-settings[bootstrap_cdn_jsdelivr_version] = '3.3.5'
+settings[bootstrap_cdn_custom_css] = 'https://cdn.jsdelivr.net/bootstrap/3.3.7/css/bootstrap.css'
+settings[bootstrap_cdn_custom_css_min] = 'https://cdn.jsdelivr.net/bootstrap/3.3.7/css/bootstrap.min.css'
+settings[bootstrap_cdn_custom_js] = 'https://cdn.jsdelivr.net/bootstrap/3.3.7/js/bootstrap.js'
+settings[bootstrap_cdn_custom_js_min] = 'https://cdn.jsdelivr.net/bootstrap/3.3.7/js/bootstrap.min.js'
+settings[bootstrap_cdn_jsdelivr_version] = '3.3.7'
 settings[bootstrap_cdn_jsdelivr_theme] = 'bootstrap'
 
 ; Global
@@ -208,9 +208,9 @@ multipliers[screen-md-max][] = 2x
 multipliers[screen-lg-min][] = 1.5x
 multipliers[screen-lg-min][] = 2x
 
-; Information added by Drupal.org packaging script on 2016-11-29
-version = "7.x-3.10"
+; Information added by Drupal.org packaging script on 2017-02-21
+version = "7.x-3.11"
 core = "7.x"
 project = "bootstrap"
-datestamp = "1480458193"
+datestamp = "1487641388"
 
diff --git a/drupal7/sites/all/themes/bootstrap/grunt/compile.js b/drupal7/sites/all/themes/bootstrap/grunt/compile.js
index 4b3937ab..7af2ab74 100644
--- a/drupal7/sites/all/themes/bootstrap/grunt/compile.js
+++ b/drupal7/sites/all/themes/bootstrap/grunt/compile.js
@@ -146,7 +146,9 @@ module.exports = function (grunt) {
     var subtask = (dev ? 'dev' : 'css');
     grunt.task.run([
       'clean:' + subtask,
-      'compile:overrides'
+      'compile:overrides',
+      'csslint:' + subtask
     ]);
   });
-}
+
+};
diff --git a/drupal7/sites/all/themes/bootstrap/grunt/config/csslint.js b/drupal7/sites/all/themes/bootstrap/grunt/config/csslint.js
new file mode 100644
index 00000000..1505ff65
--- /dev/null
+++ b/drupal7/sites/all/themes/bootstrap/grunt/config/csslint.js
@@ -0,0 +1,13 @@
+module.exports = function () {
+  return {
+    options: {
+      csslintrc: '.csslintrc'
+    },
+    css: {
+      src: ['css/**/*.css']
+    },
+    dev: {
+      src: ['css/<%= latestVersion %>/overrides.min.css']
+    }
+  };
+};
